X2Go Bug report logs - #269
Xinerama not working on RPM based distros

version graph

Package: libnx-x11; Maintainer for libnx-x11 is X2Go Developers <x2go-dev@lists.x2go.org>; Source for libnx-x11 is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 24 Jul 2013 05:01:31 UTC

Severity: normal

Tags: pending, rpm-packages

Found in version 3.5.0.20

Fixed in version 2:3.5.0.28

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#269; Package libnx-x11. (Wed, 24 Jul 2013 05:01:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 24 Jul 2013 05:01:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Xinerama not working on RPM based distros
Date: Wed, 24 Jul 2013 06:58:52 +0200
[Message part 1 (text/plain, inline)]
Package: libnx-x11
Version: 3.5.0.20

Hi Jan,

quoting from IRC...

18:27 < dlmcob> sunweaver: regarding xinerama, I installed ubuntu  
12.04 and installed x2go server.
                using the same client (fedora 19) it works fine - so  
it seems fedora19 x2goserver
                is to blame

[...]

23:41 < dlmcob> Also, on fedora 19 server, the packaging is incorrect  
w.r.t paths in
                x2goruncommand (for xinerama again)
23:42 < dlmcob> There is at attempt to "override" the libXinerama.so.1  
and libXinerama.so.1.0 by
                creating a "special" directory with these .so files
23:42 < dlmcob> (which are actually links to libNX_Xinerama.so.1 etc)
23:43 < dlmcob> On ubuntu install, these links are created in  
/usr/lib/nx/X11/Xinerama
23:43 < dlmcob> and this path is hardcoded in x2goruncommand
23:43 < dlmcob> however, in fedora install, these links (and the  
directory) are never created.
23:45 < dlmcob> creating the directory by hand and creating the links  
by hand and it's working in
                fedora 19 client and server (with the hack mentioned  
above still in place)


Can you take a look?

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) rpm-packages. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Wed, 24 Jul 2013 05:07:26 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#269; Package libnx-x11. (Sun, 28 Jul 2013 00:01:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:04 GMT) Full text and rfc822 format available.

Message #12 received at 269@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 269@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#269: Xinerama not working on RPM based distros
Date: Sun, 28 Jul 2013 02:00:54 +0200
[Message part 1 (text/plain, inline)]
clone #269 -1
reassign -1 x2goserver
tag -1 - rpm-packages
retitle -1 x2goruncommand uses hard-coded path to Xinerama libraries
thanks

... splitting up this one into two bus...

On Mi 24 Jul 2013 06:58:52 CEST Mike Gabriel wrote:

> 23:43 < dlmcob> On ubuntu install, these links are created in   
> /usr/lib/nx/X11/Xinerama
> 23:43 < dlmcob> and this path is hardcoded in x2goruncommand

The hard-coded path issue is an X2Go Server (x2goruncommand) issue and  
will get cloned into a new bug with this mail.

> 23:43 < dlmcob> however, in fedora install, these links (and the   
> directory) are never created.

The never created symlinks to the Xinerama libs is a RPM packaging  
issue (of the nx package). This issue remains as #269.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 269 cloned as bug 273 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#269; Package libnx-x11. (Mon, 13 Oct 2014 09:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Oct 2014 09:45:02 GMT) Full text and rfc822 format available.

Message #19 received at 269@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 269-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 269@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Mon, 13 Oct 2014 11:42:03 +0200 (CEST)
tag #269 pending
fixed #269 2:3.5.0.28
thanks

Hello,

X2Go issue #269 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=d86c1be

The issue will most likely be fixed in src:nx-libs (2:3.5.0.28).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d86c1be2c0df03e0233eecae0f5441e8da921445
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Oct 13 11:42:00 2014 +0200

    Fix Xinerama symlink installation into RPM bin:package libNX_Xinerama. (Fixes: #269).

diff --git a/debian/changelog b/debian/changelog
index ae45674..f0cc2d6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -21,6 +21,8 @@ nx-libs (2:3.5.0.28-0x2go1) UNRELEASED; urgency=medium
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
+    + Fix Xinerama symlink installation into RPM bin:package
+      libNX_Xinerama. (Fixes: #269).
 
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 13 Oct 2014 09:45:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.28. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 13 Oct 2014 09:45:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#269. (Mon, 13 Oct 2014 09:45:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#269; Package libnx-x11. (Thu, 13 Nov 2014 21:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:02 GMT) Full text and rfc822 format available.

Message #31 received at 269@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 269-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 269@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:44 +0100 (CET)
close #269
thanks

Hello,

we are very hopeful that X2Go issue #269 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=39202bb0cfad1a5d78135a205033398003769997;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#269; Package libnx-x11. (Thu, 13 Nov 2014 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 269@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 269-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 269@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:48 +0100 (CET)
close #269
thanks

Hello,

we are very hopeful that X2Go issue #269 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f13f6a6adaa8d33f105041c1b9f52985e75a5912;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Nov 2014 21:00:15 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 13 Nov 2014 21:00:15 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#269. (Thu, 13 Nov 2014 21:00:20 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#269. (Thu, 13 Nov 2014 21:00:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 12 Dec 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:52:44 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.